%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         tonnerre
%global repo            golang-pretty
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          e7fccc03e91bad289b96c21aa3312a220689bdd7
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        Pretty printing for Go values http://godoc.org/github.com/kr/pretty
License:        MIT
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
BuildArch:      noarch

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
BuildRequires:  golang(github.com/kr/pretty)
BuildRequires:  golang(github.com/kr/text)
Requires:       golang >= 1.2.1-3
Requires:       golang(github.com/kr/pretty)
Requires:       golang(github.com/kr/text)
Summary:        %{summary}
Provides:       golang(%{import_path}) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for 
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}

%files devel
%doc Readme License 
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%dir %{gopath}/src/%{import_path}/
%{gopath}/src/%{import_path}/*.go

%changelog
* Thu Oct 16 2014 jchaloup <jchaloup@redhat.com> - 0-0.1.gite7fccc0
- First package for Fedora
  resolves: #1153731

